%define module  Filter
%define version 1.32
%define release 1mdk

Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
Summary:	Source filter modules for Perl
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/%{module}-%{version}.tar.bz2
Patch:		%{name}-1.31.shellbang.patch.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:	perl-devel

%description
Source filter modules for Perl

%prep
%setup -q -n %{module}-%{version}
%patch

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
# clean up AFTER compilation
find examples -type f -name \*.bak | xargs rm -f
find examples -type f | xargs perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|' 

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std

rm -rf %{buildroot}%{perl_vendorarch}/Filter/Util/Call.pm
rm -rf %{buildroot}%{perl_vendorarch}/auto/Filter/Util/Call
rm -rf %{buildroot}%{_mandir}/*/Filter::Util::Call.*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes examples README
%{_mandir}/*/*
%{perl_vendorarch}/auto/Filter
%{perl_vendorarch}/Filter
%{perl_vendorarch}/filter-util.pl
%{perl_vendorarch}/perlfilter.pod

%changelog
* Fri Jan 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.32-1mdk
- New release 1.32

* Fri Sep 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.31-1mdk
- new version
- rpmbuilupdate aware
- fix directory ownership
- spec cleanup
- make test in %%check
- fix example scripts shellbangs

* Wed Jun 29 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.30-4mdk
- Rebuild, spec cleanup

* Tue Nov 16 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.30-3mdk
- Rebuild for new perl

* Tue Apr 06 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.30-2mdk
- Rebuild. Change description.

* Thu Aug 21 2003 Franois Pons <fpons@mandrakesoft.com> 1.30-1mdk
- 1.30.

* Wed Aug 13 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.29-3mdk
- rebuild for new perl
- don't use PREFIX
- use %%make macro
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.29-2mdk
- rebuild for new auto{prov,req}

* Mon Nov 04 2002 Franois Pons <fpons@mandrakesoft.com> 1.29-1mdk
- 1.29.

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 1.28-7mdk
- rebuild for perl thread-multi

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.28-6mdk
- remove Filter::Util::Call

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.28-5mdk
- rebuild for perl 5.8.0
- cleanup %%files

* Tue Jul  9 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.28-4mdk
- Use %%perl_vendorarch, %%perl_man3dir

* Wed Jun 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.28-3mdk
- submitted by Peter Chen <petechen@netilla.com>

* Tue Jun 04 2002 Peter Chen <petechen@netilla.com> 1.28-2mdk
- Add missing man pages
- Add CFLAGS to make

* Mon Jun 03 2002 Peter Chen <petechen@netilla.com> 1.28-1mdk
- 1.28.
- POE needs this.
